Index: palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- palm/trunk/SOURCE/data_output_profiles.f90	(revision 262)
+++ palm/trunk/SOURCE/data_output_profiles.f90	(revision 263)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! Output of NetCDF messages with aid of message handling routine.
 ! Output of messages replaced by message handling routine.
 !
@@ -117,5 +118,5 @@
                                            (/ 0.0 /), start = (/ 1 /), &
                                            count = (/ 1 /) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 329 )
+                   CALL handle_netcdf_error( 'data_output_profiles', 329 )
                    output_for_t0 = .TRUE.
                    EXIT
@@ -128,20 +129,18 @@
                                   (/ hom_sum(nzb,18,normalizing_region) /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 330 )
+             CALL handle_netcdf_error( 'data_output_profiles', 330 )
 
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), &  ! ws2
                         (/ hom_sum(nzb+8,pr_palm,normalizing_region)**2 /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 331 )
-
+             CALL handle_netcdf_error( 'data_output_profiles', 331 )
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), &  ! tsw2
                         (/ hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 332 )
-
+             CALL handle_netcdf_error( 'data_output_profiles', 332 )
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), &  ! ws3
                         (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 333 )
+             CALL handle_netcdf_error( 'data_output_profiles', 333 )
 
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &  ! ws2tsw
@@ -149,5 +148,5 @@
                            hom_sum(nzb+3,pr_palm,normalizing_region)    /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 334 )
+             CALL handle_netcdf_error( 'data_output_profiles', 334 )
 
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), &  ! wstsw2
@@ -155,10 +154,10 @@
                            hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 335 )
+             CALL handle_netcdf_error( 'data_output_profiles', 335 )
 
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(7), &  ! z_i
                            (/ hom_sum(nzb+6,pr_palm,normalizing_region) /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 336 )
+             CALL handle_netcdf_error( 'data_output_profiles', 336 )
 #endif
           ENDIF
@@ -197,6 +196,5 @@
                                               start = (/ 1, 1 /),              &
                                               count = (/ nzt-nzb+2, 1 /) )
-                      IF ( nc_stat /= NF90_NOERR )  &
-                                                CALL handle_netcdf_error( 337 )
+                      CALL handle_netcdf_error( 'data_output_profiles', 337 )
 #endif
                    ENDIF
@@ -361,5 +359,5 @@
                                   start = (/ dopr_time_count /), &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 338 )
+          CALL handle_netcdf_error( 'data_output_profiles', 338 )
 
 !
@@ -369,5 +367,5 @@
                                   start = (/ dopr_time_count /),               &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 339 )
+          CALL handle_netcdf_error( 'data_output_profiles', 339 )
 
           nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), &  ! ws2
@@ -375,5 +373,5 @@
                                   start = (/ dopr_time_count /),               &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 340 )
+          CALL handle_netcdf_error( 'data_output_profiles', 340 )
 
           nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), &  ! tsw2
@@ -381,5 +379,5 @@
                                   start = (/ dopr_time_count /),               &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 341 )
+          CALL handle_netcdf_error( 'data_output_profiles', 341 )
 
           nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), &  ! ws3
@@ -387,5 +385,5 @@
                                   start = (/ dopr_time_count /),               &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 342 )
+          CALL handle_netcdf_error( 'data_output_profiles', 342 )
 
           nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &  ! ws2tsw
@@ -394,6 +392,6 @@
                                   start = (/ dopr_time_count /),               &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 343 )
-
+          CALL handle_netcdf_error( 'data_output_profiles', 343 )
+         
           nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), &  ! wstsw2
                         (/ hom_sum(nzb+8,pr_palm,normalizing_region) *      &
@@ -401,5 +399,5 @@
                                   start = (/ dopr_time_count /),               &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 344 )
+          CALL handle_netcdf_error( 'data_output_profiles', 344 )
 
           nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(7), &  ! z_i
@@ -407,5 +405,5 @@
                                   start = (/ dopr_time_count /),               &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 345 )
+          CALL handle_netcdf_error( 'data_output_profiles', 345 )
 #endif
        ENDIF
@@ -443,5 +441,5 @@
                                         start = (/ 1, dopr_time_count /),      &
                                         count = (/ nzt-nzb+2, 1 /) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 346 )
+                CALL handle_netcdf_error( 'data_output_profiles', 346 )
 #endif
              ENDIF
Index: palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_ptseries.f90	(revision 262)
+++ palm/trunk/SOURCE/data_output_ptseries.f90	(revision 263)
@@ -2,7 +2,8 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
-! 
+! Output of NetCDF messages with aid of message handling routine.
+!
 !
 ! Former revisions:
@@ -57,5 +58,5 @@
                                (/ simulated_time /),           &
                                start = (/ dopts_time_count /), count = (/ 1 /) )
-       IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 391 )
+       CALL handle_netcdf_error( 'data_output_ptseries', 391 )
 #endif
 
@@ -269,5 +270,5 @@
                                      start = (/ dopts_time_count /), &
                                      count = (/ 1 /) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 392 )
+             CALL handle_netcdf_error( 'data_output_ptseries', 392 )
           ENDDO
        ENDDO
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 262)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 263)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! Output of NetCDF messages with aid of message handling routine.
 ! Output of messages replaced by message handling routine.
 !
@@ -66,5 +67,5 @@
        nc_stat = NF90_PUT_VAR( id_set_sp, id_var_time_sp, (/ simulated_time /),&
                                start = (/ dosp_time_count /), count = (/ 1 /) )
-       IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 47 )
+       CALL handle_netcdf_error( 'data_output_spectra', 47 )
 #endif
 
@@ -225,5 +226,5 @@
                                   start = (/ 1, k, dosp_time_count /), &
                                   count = (/ nx/2, 1, 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 348 )
+          CALL handle_netcdf_error( 'data_output_spectra', 348 )
 
        ENDDO
@@ -243,5 +244,5 @@
                                   start = (/ 1, k, dosp_time_count /), &
                                   count = (/ ny/2, 1, 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 349 )
+          CALL handle_netcdf_error( 'data_output_spectra', 349 )
 
        ENDDO
Index: palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_tseries.f90	(revision 262)
+++ palm/trunk/SOURCE/data_output_tseries.f90	(revision 263)
@@ -2,7 +2,8 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
-! 
+! Output of NetCDF messages with aid of message handling routine.
+!
 !
 ! Former revisions:
@@ -66,5 +67,5 @@
                                   start = (/ dots_time_count /), &
                                   count = (/ 1 /) )
-          IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 350 )
+          CALL handle_netcdf_error( 'data_output_tseries', 350 )
 #endif
        ENDIF
@@ -82,5 +83,5 @@
                                         start = (/ dots_time_count /), &
                                         count = (/ 1 /) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 351 )
+                CALL handle_netcdf_error( 'data_output_tseries', 351 )
              ENDDO
           ENDIF
